// Compiled by ClojureScript 1.9.562 {:target :nodejs}
goog.provide('cljs.nodejs');
goog.require('cljs.core');
cljs.nodejs.require = require;
cljs.nodejs.process = process;
cljs.nodejs.enable_util_print_BANG_ = (function cljs$nodejs$enable_util_print_BANG_(){
cljs.core._STAR_print_newline_STAR_ = false;

cljs.core._STAR_print_fn_STAR_ = (function() { 
var G__28790__delegate = function (args){
return console.log.apply(console,cljs.core.into_array.call(null,args));
};
var G__28790 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__28792__i = 0, G__28792__a = new Array(arguments.length -  0);
while (G__28792__i < G__28792__a.length) {G__28792__a[G__28792__i] = arguments[G__28792__i + 0]; ++G__28792__i;}
  args = new cljs.core.IndexedSeq(G__28792__a,0,null);
} 
return G__28790__delegate.call(this,args);};
G__28790.cljs$lang$maxFixedArity = 0;
G__28790.cljs$lang$applyTo = (function (arglist__28793){
var args = cljs.core.seq(arglist__28793);
return G__28790__delegate(args);
});
G__28790.cljs$core$IFn$_invoke$arity$variadic = G__28790__delegate;
return G__28790;
})()
;

cljs.core._STAR_print_err_fn_STAR_ = (function() { 
var G__28796__delegate = function (args){
return console.error.apply(console,cljs.core.into_array.call(null,args));
};
var G__28796 = function (var_args){
var args = null;
if (arguments.length > 0) {
var G__28799__i = 0, G__28799__a = new Array(arguments.length -  0);
while (G__28799__i < G__28799__a.length) {G__28799__a[G__28799__i] = arguments[G__28799__i + 0]; ++G__28799__i;}
  args = new cljs.core.IndexedSeq(G__28799__a,0,null);
} 
return G__28796__delegate.call(this,args);};
G__28796.cljs$lang$maxFixedArity = 0;
G__28796.cljs$lang$applyTo = (function (arglist__28800){
var args = cljs.core.seq(arglist__28800);
return G__28796__delegate(args);
});
G__28796.cljs$core$IFn$_invoke$arity$variadic = G__28796__delegate;
return G__28796;
})()
;

return null;
});
